import javax.xml.parsers.*;

import org.xml.sax.SAXException; 
import org.xml.sax.SAXParseException; 

import java.io.*;
import org.w3c.dom.*;

public class RootElementName{
    static Document document;

    public static void main(String argv[])
    {
        if (argv.length != 1) {
            System.err.println("Usage: java RootElementName xmlfilename");
            System.exit(1);
        }

        DocumentBuilderFactory factory =
            DocumentBuilderFactory.newInstance();
        try {
           DocumentBuilder builder = factory.newDocumentBuilder();
           document = builder.parse(new File(argv[0]));
           System.out.println("Root element: " +
              document.getDocumentElement().getTagName() + "\n");
        } catch (Throwable e) {
           e.printStackTrace();
        }
    } // main
}

